%define anolis_release 1
Name:          libusbmuxd
Version:       2.0.2
Release:       %{anolis_release}%{?dist}
Summary:       Client library USB multiplex daemon for Apple's iOS devices

License:       LGPLv2+
URL:           http://www.libimobiledevice.org/
Source0:       https://github.com/libimobiledevice/%{name}/archive/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libplist-devel >= 2.2.0
BuildRequires:  autoconf automake libtool
BuildRequires: make

%description
libusbmuxd is the client library used for communicating with Apple's iPod Touch,
iPhone, iPad and Apple TV devices. It allows multiple services on the device 
to be accessed simultaneously.

%package utils
Summary: Utilities for communicating with Apple's iOS devices
License: GPLv2+
Requires: %{name}%{?_isa} = %{version}-%{release}

%description utils
Utilities for Apple's iOS devices

%package devel
Summary: Development package for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Obsoletes: usbmuxd-devel < 1.0.9

%description devel
Files for development with %{name}.

%prep
%setup -q

NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

#Remove libtool archives.
find %{buildroot} -type f -name "*.la" -delete

%check
make check

%ldconfig_scriptlets

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README.md AUTHORS
%{_libdir}/libusbmuxd-2.0.so.*

%files utils
%{_bindir}/iproxy
%{_bindir}/inetcat
%{_mandir}/man1/*

%files devel
%{_includedir}/usbmuxd*
%{_libdir}/pkgconfig/libusbmuxd-2.0.pc
%{_libdir}/libusbmuxd-2.0.so

%changelog
* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.2-1
- Init from upstream version 2.0.2
